umbrello: Uml::CmdChangeFont Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeFont Class Reference

`#include <cmdchangefont.h>`

Inheritance diagram for Uml::CmdChangeFont:

## Public Member Functions
| CmdChangeFont (UMLWidget *widget, QFont font)
void | undo ()
void | redo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QFont | m_newFont
QFont | m_oldFont

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeFont()

Uml::CmdChangeFont::CmdChangeFont | ( | UMLWidget * | widget,
|  | QFont | font
| ) |  |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeFont::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeFont::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newFont

QFont Uml::CmdChangeFont::m_newFont
| private

## ◆ m_oldFont

QFont Uml::CmdChangeFont::m_oldFont
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangefont.h
- umbrello/cmds/widget/cmdchangefont.cpp